Bug 819654 - OOH323 will not load - incorrect config filename
OOH323 will not load - incorrect config filename
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-07 16:54 EDT by John Bradshaw
Modified: 2013-02-13 09:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 09:56:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Bradshaw 2012-05-07 16:54:43 EDT
Description of problem:

Config filename is incorrect - stops module running in Asterisk.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start asterisk (as a service or directly from shell)
2. Connect to console (use -c option when starting asterisk or "asterisk -r" to connect to running asterisk.
3. Note no commands expand when "oo<tab>" is entered at command prompt.  The warning message below also appears:

[May  7 21:46:20] NOTICE[15621]: chan_ooh323.c:2543 reload_config: Unable to load config ooh323.conf, OOH323 disabled

4. Stop asterisk with "core stop now"
5. mv /etc/asterisk/chan_ooh323.conf /etc/asterisk/ooh323.conf
6. Restart asterisk (steps 1 and 2 above)
7. Note "oo<tab>" now expands with options and warning message is not shown.

[user@opti asterisk]$ rpm -q --filesbypkg asterisk-ooh323
asterisk-ooh323           /etc/asterisk/chan_ooh323.conf
asterisk-ooh323           /usr/lib/asterisk/modules/chan_ooh323.so

Actual results:
OOH323 will not load as conf file is incorrectly names

Expected results:
OOH323 will load during Asterisk boot.

Additional info:
asterisk-ooh323 doesn't appear in Bugzilla package list, have logged this against asterisk core RPM for this reason.
Comment 1 Fedora End Of Life 2013-01-16 08:59:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Fedora End Of Life 2013-02-13 09:56:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.